Bug 901227 (JBPAPP6-1675) - node-timeout, worker-timeout, flush-wait and ttl mod_cluster attributes in web console
Summary: node-timeout, worker-timeout, flush-wait and ttl mod_cluster attributes in we...
Status: CLOSED CURRENTRELEASE
Alias: JBPAPP6-1675
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Console
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER9
: EAP 6.3.0
Assignee: Harald Pehl
QA Contact: Jakub Cechacek
URL: http://jira.jboss.org/jira/browse/JBP...
Whiteboard: mod_cluster
Keywords:
Depends On: 1093586
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-03 13:06 UTC by Michal Karm Babacek
Modified: 2015-02-01 22:59 UTC (History)
9 users (show)

(edit)
An issue that was present in a previous version of the JBoss EAP 6 web-based Management Console that prevented users from viewing or setting a `-1` value for the listed `mod_cluster` attributes as been corrected in this release:

* `node-timeout`
* `worker-timeout`
* `flush-wait`
* `ttl`
Clone Of:
(edit)
Last Closed: 2014-08-06 14:34:21 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker HAL-432 Major Resolved node-timeout, worker-timeout, flush-wait and ttl mod_cluster attributes in web console 2017-09-27 01:06 UTC
JBoss Issue Tracker JBPAPP6-1675 Major Closed node-timeout, worker-timeout, flush-wait and ttl mod_cluster attributes in web console 2017-09-27 01:06 UTC

Description Michal Karm Babacek 2012-12-03 13:06:47 UTC
project_key: JBPAPP6

Hi Heiko, there is a glitch with -1 versus 0 values in mod_cluster web console, it looks like
-1 values are being clipped to 0.

||Web console||CLI||Default||
|Node Timeout: 0|node-timeout=-1|-1|
|Worker Timeout: 0|worker-timeout=-1|-1|
|Flush Wait: 0|flush-wait=-1|-1|
|TTL: 0|ttl=-1|60 (i)|

(i) Hmm, as long as *smax=-1* (Soft maximum idle connection count = no idle connections), ttl=-1 (Time to live (in seconds) for idle connections above smax) seems legit.

Comment 1 Michal Karm Babacek 2012-12-03 13:21:38 UTC
If I venture to change it to -1, I get {color:red}Invalid numeric value{color} message.

Comment 3 Martin Velas 2014-07-08 13:02:17 UTC
Verified for EAP 6.3.0.ER9 - default values "-1" are correctly displayed and also "-1" can be set.


Note You need to log in before you can comment on or make changes to this bug.